S3 Get Object ACL
  • 31 May 2023
  • Dark
    Light

S3 Get Object ACL

  • Dark
    Light

Article summary

GEThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/<your-key>?acl

Returns the access control list (ACL) of an object.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

acl

Must be present to retrieve bucket ACL

versionId

Optional. Specifies a specific version of the object.

PATH VARIABLES

bucket

Required. The name of the bucket

key

Required. Key of the object to be written.

Example Request

curl --location 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/object-1?acl=null'

Example Response

200 OK

Body

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<AccessControlPolicy xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <Owner>
        <ID>15f935cf4dcb</ID>
        <DisplayName></DisplayName>
    </Owner>
    <AccessControlList>
        <Grant>
            <Grantee xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="CanonicalUser">
                <ID>15f935cf4dcb</ID>
                <DisplayName></DisplayName>
            </Grantee>
            <Permission>FULL_CONTROL</Permission>
        </Grant>
    </AccessControlList>
</AccessControlPolicy>


Headers (8)

Cache-Control

max-age=0, no-cache, no-store

x-amz-request-id

56aa38410aaebdd

x-amz-id-2

aMa41BGZMOZMztjUfY9JmpzRnZLRjZmIQ

Content-Type

application/xml

Content-Length

578

Date

Fri, 28 Jan 2022 23:14:48 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?